Subject: Re: 2.6.18-mm2 boot failure on x86-64 II

From: keith mannthey <[email-masked]>
Date: Thu, 05 Oct 2006 16:32:58 -0700

On Fri, 2006-10-06 at 01:14 +0200, Andi Kleen wrote:
> On Thursday 05 October 2006 22:51, Andi Kleen wrote:
> > 
> > > hmm, rather than bugging you with patches now, I'll see what I can find 
> > > with the x86_64 machines I have access to and see can I reproduce it.
> > 
> > I started the bisect, should finish soon.
> 
> It ended at 
> 
> diff-tree d5cdb67236dba94496de052c9f9f431e1fc658f4 (from 0dad3510ee82bcf8a380b81
> a2184a664a911ef9c)
> Author: Satoru Takeuchi <[email-masked]>
> Date:   Tue Sep 12 10:19:00 2006 -0700
> 
>     acpiphp: disable bridges
>     
>     Currently acpiphp calls pci_enable_device() against all
>     hot-added bridges, but acpiphp does not call pci_disable_device()
>     against them in hot-remove. So ioapic hot-remove would fail.
>     This patch fixes this issue.
> 
> Not sure that is it really, it is possible i made a mistake during bisect
> (the symptoms changed from bad page to just networking doesn't work
> somewhere at 4cfee88ad30acc47f02b8b7ba3db8556262dce1e) 
> 
> I don't have time to rerun unfortunately
> for some time. Anyone else looking would be useful.

As of yet I haven't been able to recreate the hang.  I am running
similar HW to Steve. 

Thanks,
  Keith